/*
 * ECDsMutableTreeNode.java
 *
 * Created on 29 de Abril de 2007, 19:31
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.medicina.processo.estrutura;

import java.awt.Color;
import java.util.Arrays;

import siprp.MedicinaConstants;
import siprp.database.cayenne.objects.TrabalhadoresEcds;

/**
 *
 * @author Frederico
 */
public class ECDsMutableTreeNode extends MarcacaoMutableTreeNode
{
	private static final long serialVersionUID = 1L;
	public static final String ICON_PATH = "siprp/medicina/processo/estrutura/icons/ecds.png";
		
	/** Creates a new instance of ECDsMutableTreeNode */
	public ECDsMutableTreeNode( TrabalhadoresEcds userObject )
	{
		super( userObject );
	}
	
	@Override
	public Color getColor()
	{
		Integer[] markedEstados = new Integer[]
		                                      {
		                                       MedicinaConstants.ESTADO_POR_MARCAR,
		                                       MedicinaConstants.ESTADO_POR_REALIZAR,
		                                       MedicinaConstants.ESTADO_PARCIALMENTE_REALIZADO
		                                      };
		if(userObject != null && Arrays.asList( markedEstados ).contains( ((TrabalhadoresEcds)userObject).getEstado()))
		{
			return Color.RED;
		}
		return Color.BLACK;
	}
	
	protected String getIconPath()
	{
		return ICON_PATH;
	}
}
